Subject: Re: PIM-SMv2 functional clarification - join latency

From: Liming Wei <[email-masked]>
Date: Tue, 24 Aug 1999 14:24:43 -0700 (PDT)

> From: Narayanan Vidya-CVN065 <[email-masked]>
> 
> Yes, I do know that on Cisco routers, the RP triggers the (S,G) join when
> the new member joins. However, that is not how I interpreted it from the
> spec. I am a little confused as to what the behavior is expected to be,
> strictly according to the spec. Is this point stated anywhere in the spec
> that the RP must trigger an (S,G) join on receiving a new PIM Join from a
> DR? 
> 
> I am not sure if what I see on the Cisco routers is something specific to
> the Cisco implementation of PIM-SM or is it more general than that.
> 
> Please clarify. I appreciate your input.

See messages from Dave and Ravi, this is not specific to cisco's
implementation.

-Liming

---

From: Narayanan Vidya-CVN065 <[email-masked]>
Date: Tue, 24 Aug 1999 16:14:21 -0500

Thanks,
Vidya

> -----Original Message-----
> From: Liming Wei [mailto:[email-masked]]
> Sent: Tuesday, August 24, 1999 3:57 PM
> To: [email-masked]
> Cc: [email-masked]
> Subject: Re: PIM-SMv2 functional clarification - join latency
> 
> 
> Vidya,
> 
> If you have a cisco testbed for this scenario, you will find the RP
> triggering the (S,G) join after the new member joins.
> 
> Or is this only based on your reading of the spec ?
> 
> -Liming
> ---------
> > Date: Tue, 24 Aug 1999 13:47:04 -0500
> > CC: [email-masked],[email-masked]
> > Sender: [email-masked]
> > 
> > Hi,
> > I have a question about Join Latency for new receivers in 
> PIM-SM. The 5th
> > point in Section 3.8.4 in RFC 2362 talks about the register 
> suppression
> > timer. There is a line in it that says "A lower value means 
> more frequesnt
> > register bursts at RP, while a higher value means longer 
> join latency for
> > new receivers." This leads me to believe that if there is a 
> DR sending a
> > PIM-Join message to the RP after the source-specific tree 
> has been pruned by
> > the RP due to no members being present earlier, the time 
> after which data
> > actually starts flowing to the DR will be dependent on the register
> > suppression timer value in the sender's DR. 
> > 
> > Let us consider the following scenario with 3 routers, SDR 
> (Source's DR),
> > RDR (Receiver's DR), and the RP. Let the SDR and the RDR be directly
> > connected to the RP and not connected with each other. Let 
> us assume that
> > the sourcing host and the receiving host are connected to 
> the LAN ports of
> > the SDR and RDR respectively. Now, the scenario is like this:
> > 
> > 1. Source starts sending data.
> > 2. SDR register encapsulates the data packet(s) to the RP.
> > 3. RP realizes that it has no downstream members. So, it prunes the
> > multicast tree back to the SDR. So, the RP must have an 
> (S,G) entry with a
> > pruned flag.
> > 4. Receiver joins the multicast group.
> > 5. RDR sends a PIM Join to the RP for the same group for 
> which the RP has a
> > pruned state.
> > 
> > In the above case, when would the receiver start receiving 
> data? Would it
> > have to wait till the register suppression timer expires in 
> the SDR and it
> > again sends data to the RP? In that case, if the register 
> suppression timer
> > is set to the default, the join latency would be anywhere 
> between 30 to 90
> > seconds. This seems like an awfully long join latency. 
> Should not the PIM
> > Join message reaching the RP from the RDR trigger the RP to 
> join again on
> > the earlier pruned tree? 
> > 
> > I am not sure if I am mistaking or missing something here. 
> If this is
> > explained anywhere in the RFC, can anyone point me to it? 
> If someone could
> > clarify how this is supposed to work, I would greatly 
> appreciate that.
> > 
> > Thanks!
> > Vidya
> > 
>